summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--radsecproxy.c11
-rwxr-xr-xtools/naptr-eduroam.sh2
-rwxr-xr-xtools/radsec-dynsrv.sh2
3 files changed, 5 insertions, 10 deletions
diff --git a/radsecproxy.c b/radsecproxy.c
index 5248c41..d8500c1 100644
--- a/radsecproxy.c
+++ b/radsecproxy.c
@@ -2297,14 +2297,9 @@ int dynamicconfig(struct server *server) {
}
if (status) {
- if (WEXITSTATUS(status) == 10) {
- debug(DBG_INFO, "dynamicconfig: command signals empty config");
- }
- else {
- debug(DBG_INFO, "dynamicconfig: command exited with status %d",
- WEXITSTATUS(status));
- goto errexit;
- }
+ debug(DBG_INFO, "dynamicconfig: command exited with status %d",
+ WEXITSTATUS(status));
+ goto errexit;
}
if (ok)
diff --git a/tools/naptr-eduroam.sh b/tools/naptr-eduroam.sh
index 43d3d9f..6497549 100755
--- a/tools/naptr-eduroam.sh
+++ b/tools/naptr-eduroam.sh
@@ -70,4 +70,4 @@ if [ -n "${SERVERS}" ]; then
exit 0
fi
-exit 0
+exit 10 # No server found.
diff --git a/tools/radsec-dynsrv.sh b/tools/radsec-dynsrv.sh
index 4d00f32..3150018 100755
--- a/tools/radsec-dynsrv.sh
+++ b/tools/radsec-dynsrv.sh
@@ -48,4 +48,4 @@ if test -n "${SERVERS}" ; then
exit 0
fi
-exit 0
+exit 10 # No server found.